<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/const.jsp" -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML 
xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE>在线大头贴 - 网络相册 - <%=Site_Info(0)%></TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312"><LINK 
href="css/index_photodtt.css" type=text/css rel=stylesheet>
<SCRIPT src="Jimage.js"></SCRIPT>
<SCRIPT language=javascript>
function checkForm(){
  if (document.form1.username.value == ""){
    alert("对不起，用户名不能为空!请输入..");
	document.form1.username.focus();
	return false;
  }
  if (document.form1.password.value == ""){
    alert("对不起，密码不能为空!请输入..");
	document.form1.password.focus();
	return false;
  }

}
</SCRIPT>

<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY>
<%if Request.Cookies("aspxnet")("CurUserName") = "" then%>
<DIV id=leftlist>
<H3>网络相册</H3>
<FORM name=form1 action=ChkLogin.jsp?return=photo method=post onSubmit="return checkForm()">
<H4>登陆进入您的相册</H4><LABEL for=username><SPAN>用户名:</SPAN><INPUT size=9 
name=username></LABEL> <LABEL for=password><SPAN>密码:</SPAN><INPUT 
type=password size=8 name=password></LABEL> 
<P><BUTTON class=login type=submit><SPAN>登陆</SPAN></BUTTON><BUTTON class=reg 
type=reset><SPAN>注册</SPAN></BUTTON> </P></FORM></DIV>
<%else%>
<DIV id=leftlist>
<H3>网络相册</H3>
<FORM>
<H4><%m_TempUserName = Request.Cookies("aspxnet")("CurUserName")
				  if m_TempUserName = "" then Response.write "游客" else Response.write m_TempUserName
				  %>的相册</H4>
<P style="PADDING-RIGHT: 9px; LINE-HEIGHT: 180%; TEXT-ALIGN: right">[ <A 
href="Logout.jsp">退出</A> ]<BR><A 
href="Photo_Upload.jsp?AlbumID=<%=m_AlbumID%>">上传照片</A><BR><A 
href="photo_my.jsp">我的相册</A><BR><A 
href="Photo_AddNew.jsp">新增相册</A> </P></FORM>
</DIV>
<%end if%>
<DIV id=logo><A title=网络相册-首页 
href="photo_default.jsp"><SPAN>网络相册-首页</SPAN></A> </DIV>
	<DIV id=nav><A href="../">首页</A> | <A 
href="QQ_default.jsp">运城地带</A> | <A 
href="QQ_index.jsp">小圈子</A> | <A 
href="../blog/">运城博客</A> | <A 
href="photo_default.jsp">网络相册</A> | <A 
href="QQ_ployall.jsp">精彩活动</A> | <A 
href="friend_index.jsp">交友频道</A> | <A 
href="../bbs/" target=_blank>运城社区</A> </DIV>
<DIV id=main>
<DIV id=menu><IMG src="img/photo/photo_left.gif" name="limg" id=limg> 
<UL>
  <LI><A title=相册首页 href="photo_default.jsp"><IMG 
  src="img/photo/home.gif"></A> </LI>
  <LI><A title=我的相册 href="photo_my.jsp"><IMG 
  src="img/photo/my_album.gif"></A> </LI>
  <LI><A title=分类相册 href="photo_list.jsp"><IMG 
  src="img/photo/sort.gif"></A> </LI>
  <LI><A title=最新照片 href="photo_new.jsp"><IMG 
  src="img/photo/newPhoto.gif"></A> </LI>
  <LI><A title=相册排行 href="photo_sort.jsp"><IMG 
  src="img/photo/rank.gif"></A> </LI>
  <LI id=menuend><A title=在线大头贴 href="photo_dtt.jsp"><IMG 
  src="img/photo/dtt.gif"></A> </LI></UL></DIV> 
<DIV id=contian><BR>
<DIV id=photoclass>
<H2>在线大头贴&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="photo_dttlist.jsp"><img src="img/dtt.gif" border="0"></a></H2>
<DL>
 <%
	Set rs=Server.createobject("Adodb.RecordSet")
    pageno=request.querystring("pageno")
    pmcount= 28  
	mSql = "Select * from T_member_photo ORDER BY F_ID DESC"
	rs.open mSql,conn,1,1

	if rs.eof then
	   'response.write "<br><span align='center'><font color=666666><B>你好像还有发表第一篇呢！先来一篇吧.</B></font></p>"
    else
    rs.pagesize=pmcount
    mpage=rs.pagecount
    if pageno="" then pageno=1
    if  cint(pageno)<1 or cint(pageno)>mpage then  pageno=1
    rs.absolutepage=pageno

 Dim rc,re
 rc=rs.pagesize
 re=1
 do while not rs.eof and rc>0

 %>
  <DD>
  <DIV>
  <P>   <A href="<%=rs("f_photo")%>" target=_blank><IMG 
  src="<%=rs("f_photo")%>"></A></P>  
<%m_SQL = "SELECT F_ID,F_UserName FROM T_Member WHERE F_ID='"&rs("f_userid") & "'"
					  Set rst = conn.Execute(m_SQL)%>
 会员:<a href="club_member.jsp?UserName=<% = rst("F_UserName")%>" target=_blank> 
                                  <% = rst("F_UserName")%>
                                  </a><br /><span><%=rs("f_regtime")%> </span>
  </DIV></DD>
  <%
If re mod 4 = 0 then
          Response.write ""
        End if
        rs.movenext
        re=re+1
        rc=rc-1
      loop	
	  end if
	  %>
 </DL>
<DIV id=page>
        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="f2f2f2">
          <tr> 
            <td width="42%" height="22"> &nbsp;共 <font color=red><strong> 
              <% = rs.recordcount%>
              </strong></font> 条记录 当前第 <font color=red><strong> 
              <% = Trim(pageno)%>
              </strong></font>页/共 <font color=red><strong> 
              <% = Trim(mpage)%>
              </strong></font>页 </td>
            <td width="58%" align="right"> 
              <%
if pageno>1 then
   response.write " <a href='?CategoryID="&m_CategoryID&"'>首页</a> "
else
   response.write " 首页 "
end if

if pageno>1 then
   response.write " <a href='?pageno="&pageno-1&"&CategoryID="&m_CategoryID&"&Keywords="&m_Keywords&"'>上一页</a> "
else
   response.write " 上一页 "
end if

add=5'数字分页个数+1
if pageno-int(add/2)<=1 then m=1 else m=pageno-int(add/2)
if m+add>mpage then 
   n=mpage
   if mpage-add<=1 then m=1 else m=mpage-add
else
   n=m+add
end if

for pno=m to n
 if pno=cint(pageno) then
   response.write "&nbsp;<font color=red>"&pno&"</font>"
 else
   response.write "<b>&nbsp;<a href='?pageno="&pno&"&CategoryID="&m_CategoryID&"&Keywords="&m_Keywords&"'>"&pno&"</a></b>"
 end if
next
response.write "&nbsp"

if int(pageno) < int(rs.pagecount) then
  response.write " <a href='?pageno="&pageno+1&"&CategoryID="&m_CategoryID&"&Keywords="&m_Keywords&"'>下一页</a> "
else 
  response.write " 下一页 "
end if

if int(pageno) < int(rs.pagecount) then
   response.write " <a href='?pageno="&mpage&"&CategoryID="&m_CategoryID&"&Keywords="&m_Keywords&"'>末页</a> "
else
   response.write " 末页 "
end if
Response.write "&nbsp;&nbsp;"
rs.close
%>
            </td>
          </tr>
        </table></TD>
  </TR></TBODY></TABLE></DIV></DIV><BR></DIV><DIV id=foot><A class=list href="../about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="../about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="../about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="../about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="../about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="../so/Suggestion.jsp" target=_blank> 留言/投诉</A> ┊ <A class=list href="../about/?Para=Job" target=_blank></A><BR><%=Site_info(5)%> </DIV>
</BODY></HTML>
